/*------------------------------------------------------------------------------\
 * @package:    React Project Template
 * @author:     Richard Winters
 * @copyright:  2022 Richard B Winters
 * @license:    Apache-2.0 <http://www.apache.org/licenses/LICENSE-2.0>
 * @version:    0.1.1
 *------------------------------------------------------------------------------/
 *
 * TOC
 *
 * 1. Typography
 * 2. Core Styles
 * 3. Media Queries
 *----------------------------------------------------------------------------*/


/******************************************************************************\
 * 1. TYPOGRAPHY
******************************************************************************/

:global(.console-font) {
    font-family: Roboto Mono;
    font-size: 10pt;
}

h1 {
    font-size: 2.0rem;
    font-weight: bolder;

    &.standard{
        @extend h1;
    }
}

h2 {
    font-size: 1.75rem;
    font-weight: bold;

    &.standard{
        @extend h2;
    }
}

h3 {
    font-size: 1.5rem;
    font-weight: 900;

    &.standard{
        @extend h3;
    }
}

h4 {
    font-size: 1.25rem;
    font-weight: 800;

    &.standard{
        @extend h4;
    }
}

h5 {
    font-size: 1.0rem;
    font-weight: 700;

    &.standard{
        @extend h5;
    }
}

h6 {
    font-size: 0.75rem;
    font-weight: 600;

    &.standard{
        @extend h6;
    }
}

.title-capture {
    color: $theme-surface-secondary;
    font-weight:500;
    letter-spacing: -4px;
}


/******************************************************************************\
 * 2. Core Styles
******************************************************************************/

// Make everything box-sizing: border-box
*, *:after, *:before {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}   // It makes everything stay the width we set, despite borders and padding, etc.


// Create a 'clean slate'
html,body
{
    z-index: 0;

    &.+full-height {
        height: 100%;
    }
}

body
{
    margin: 0;          // Important so overflowed focus-body elements don't cause 2 scrollbars to appear (one for focused body, and one for page)
    padding-top: 0.1px; // Prevent header h1 margin from pushing body down
    position: relative;
    background-color: $theme-background-color;
    color: $theme-on-background-color;
    font-family: $theme-font-family-primary;
    z-index: 0;

    &.+inverse-colors {
        background-color: $theme-background-color-inverse;
        color: $theme-on-background-color-inverse;
    }

    &.+flex {
        display: flex;
    }

    &.+make-featured {
        //@include mdc-elevation(4);

        display: block;
        overflow: auto;
    }

}

footer
{
    margin-top: 80px;
    padding-top: 100px;
    padding-bottom: 100px;
    background-color: $theme-surface-primary;
    color: $theme-on-surface-primary;
    text-align: center;
}

.footer{
    padding: 100px 15px;
    text-align: center;
    font-size: 8pt;
}

hr {
    border-color: $theme-surface-primary;
    border-width: 1px 0 0;
    margin: 0;

    box-sizing: border-box;
    height: 0;
    overflow: visible;

    &.+pull-left {
        @extend hr;

        width: 100vh;
        margin-left: -50%;
    }
}

p {
    margin: 6px 0;
    padding: 6px 0;
    line-height: 1.5rem;
}

:global(.clearfix) {

    &:after {
        display: block;
        clear: both;
    }
}


/******************************************************************************\
 * 3. Media Queries
******************************************************************************/

// Extra small devices (portrait phones, less than 576px)
// No media query since this is the default in Bootstrap

// Small devices (landscape phones, 576px and up)
@media (min-width: 576px) {
    .console-font { font-size: 11pt; }
    h1 { font-size: 2.25rem; }
    h2 { font-size: 2.0rem; }
    h3 { font-size: 1.75rem; }
    h4 { font-size: 1.5rem; }
    h5 { font-size: 1.25rem; }
    h6 { font-size: 1.0rem; }

    p {
        margin: 8px 0;
        padding: 8px 0;
    }
}

// Medium devices (tablets, 768px and up)
@media (min-width: 768px) {
    .console-font { font-size: 12pt; }
    h1 { font-size: 2.5rem; }
    h2 { font-size: 2.25rem; }
    h3 { font-size: 2.0rem; }
    h4 { font-size: 1.75rem; }
    h5 { font-size: 1.5rem; }
    h6 { font-size: 1.25rem; }

    p {
        margin: 10px 0;
        padding: 10px 0;
    }
}

// Large devices (desktops, 992px and up)
@media (min-width: 992px) {
    .console-font { font-size: 14pt; }
    h1 { font-size: 2.75rem; }
    h2 { font-size: 2.5rem; }
    h3 { font-size: 2.25rem; }
    h4 { font-size: 2.0rem; }
    h5 { font-size: 1.75rem; }
    h6 { font-size: 1.5rem; }

    p {
        margin: 12px 0;
        padding: 12px 0;
    }
}

// Extra large devices (large desktops, 1200px and up)
@media (min-width: 1200px) {
    .console-font { font-size: 14pt; }
    h1 { font-size: 3.0rem; }
    h2 { font-size: 2.75rem; }
    h3 { font-size: 2.5rem; }
    h4 { font-size: 2.25rem; }
    h5 { font-size: 2.0rem; }
    h6 { font-size: 1.75rem; }
}

